using System;
using Dynamicweb;
using Dynamicweb.Extensibility;

[AddInName("CustomHello")]
public class CustomHello : ContentModule
{
	public override string GetContent()
	{
		//Get an instance of a template object
		Dynamicweb.Templatev2.Template template = new Dynamicweb.Templatev2.Template("CustomHello/Template.html");

		//Set a tag named "Text" with the value from the HelloText property
		template.SetTag("Text", this.Properties.get_Value("HelloText"));

		//Return the parsed template to the eventhandler
		return template.Output();
	}
}
