﻿using System;
using System.Linq;
using Dynamicweb.Samples.Web.Model;

namespace Dynamicweb.Samples.Web.CustomModules.DvkArticles.Admin
{
	public partial class DeleteArticle : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (Id > 0)
			{
				using (CustomModulesSamplesEntities db = new CustomModulesSamplesEntities())
				{
					Article article = db.Articles.Where(a => a.Id == Id).FirstOrDefault();
					article.Deleted = true;
					db.SaveChanges();
					Response.Redirect("Default.aspx");
				}
			}
		}

		/// <summary>
		/// Tries to get the ID from the Query String and return it. Otherwise, it returns 0.
		/// </summary>
		private int Id
		{
			get
			{
				int id;
				string temp = Request.QueryString["Id"];
				if (!string.IsNullOrEmpty(temp) && int.TryParse(temp, out id))
				{
					return id;
				}
				return 0;
			}
		}
	}
}